> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update transaction metadata

> Updates the metadata associated with the provided bank transaction id. Bank transaction metadata is additional information that can be associated with a transaction, such as a memo.



## OpenAPI

````yaml put /v1/businesses/{businessId}/bank-transactions/{transactionId}/metadata
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/bank-transactions/{transactionId}/metadata:
    put:
      tags: []
      summary: Update transaction metadata
      description: >-
        Updates the metadata associated with the provided bank transaction id.
        Bank transaction metadata is additional information that can be
        associated with a transaction, such as a memo.
      operationId: business.bank-transactions.metadata.put
      parameters:
        - name: businessId
          in: path
          description: >-
            The UUID of the business that the transaction to update the metadata
            for belongs to
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          description: The UUID of the bank transaction to update metadata for
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiTransactionMetadata'
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTransactionMetadata'
        '404':
          description: >-
            Business or transaction id is not found. This indicates the
            transaction id is invalid or the transaction has been deleted, or
            the business is not found or has been archived.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    ApiTransactionMetadata:
      type: object
      properties:
        memo:
          type: string
          nullable: true
          description: >-
            Optional memo field for adding notes or additional information about
            the transaction.
          example: Example memo to associate with a transaction
        metadata:
          $ref: '#/components/schemas/PlatformDefinedJson'
          nullable: true
          description: Arbitrary custom metadata in JSON format with a size limit of 1KB
        reference_number:
          type: string
          nullable: true
          description: >-
            Any (typically user-visible) identifier you would like to associate
            with the bank transaction. Can be used to filter when listing bank
            transactions.
      description: >-
        Contains metadata associated with a transaction, including optional
        fields for additional context.
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    PlatformDefinedJson:
      type: object
      description: Arbitrary JSON data defined by the caller, with a 1KB size constraint
      additionalProperties: true
      example:
        custom_field: value
        any valid json: below 1kb
        nested:
          meaning of life: 42
          array: []
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````